// deno-fmt-ignore-file
// deno-lint-ignore-file

// Copyright Joyent and Node contributors. All rights reserved. MIT license.
// Taken from Node 18.12.1
// This file is automatically generated by "node/_tools/setup.ts". Do not modify this file manually

// TODO(PolarETech): The process.argv[3] check should be argv[2], and the
// command passed to exec() should not need to include "run", "-A",
// and "require.ts".

'use strict';

// Test exec() with both a timeout and a killSignal.

const common = require('../common');
const assert = require('assert');
const cp = require('child_process');

const {
  cleanupStaleProcess,
  logInTimeout,
  kExpiringChildRunTime,
  kExpiringParentTimer,
} = require('../common/child_process');

if (process.argv[3] === 'child') {
  logInTimeout(kExpiringChildRunTime);
  return;
}

const cmd = `"${process.execPath}" run -A require.ts "${__filename}" child`;

// Test with a different kill signal.
cp.exec(cmd, {
  timeout: kExpiringParentTimer,
  killSignal: 'SIGKILL'
}, common.mustCall((err, stdout, stderr) => {
  console.log('[stdout]', stdout.trim());
  console.log('[stderr]', stderr.trim());

  assert.strictEqual(err.killed, true);
  assert.strictEqual(err.code, null);
  assert.strictEqual(err.signal, 'SIGKILL');
  assert.strictEqual(err.cmd, cmd);
  assert.strictEqual(stdout.trim(), '');
  assert.strictEqual(stderr.trim(), '');
}));

cleanupStaleProcess(__filename);
